#include <coral/core/Element.h>
#include <coral/core/CorePrimitives.h>
#include <coral/coral.h>

#include <coral/core/io/xmi_writer_1.h>

#include <iostream>

int main() {
	coral::init_coral_framework();
	coral::ElementPrimitive* d
		= dynamic_cast<coral::ElementPrimitive*>(coral::CORE::Double->newAtom());
	coral_assert(d);

	coral_assert(d->__getDValue__() == 0.0f);
	std::cout << d->__str__() << std::endl;
	d->__setDValue__(3.4f);
	coral_assert(d->__getDValue__() == 3.4f);
	return 0;
}
